-- +goose Up
-- +goose StatementBegin
CREATE TABLE IF NOT EXISTS categories (
    id SERIAL PRIMARY KEY,
    name TEXT NOT NULL,
    user_id INT REFERENCES "users"(id),
    favorite BOOLEAN DEFAULT FALSE,
    "limit" INT DEFAULT 0
);
comment on column categories.limit is 'Лимит трат в месяц в копейках';
-- +goose StatementEnd

-- +goose Down
-- +goose StatementBegin
DROP TABLE IF EXISTS categories;
-- +goose StatementEnd
